.flex-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

@keyframes blinker {
    from {
        filter: brightness(105%);
    }

    50% {
        filter: brightness(95%);
    }

    to {
        filter: brightness(105%);
    }
}

@keyframes updowninfiity {
    from {
        transform: translate(0, -0.25rem);
    }

    50% {
        transform: scale(0.85);
    }

    to {
        transform: translate(0, -0.25rem);
    }
}

@keyframes scaleInfiity {
    from {
        transform: scale(1);
    }

    50% {
        transform: scale(0.9);
    }

    to {
        transform: scale(1);
    }
}

body {
    background: url("../images/bg_fullpage_mobile.png") no-repeat center center/cover;
}

@media (min-width: 1080px) {
    body {
        background: url("../images/bg_fullpage.png") no-repeat top center/cover;
    }
}

header {
    width: 100%;
    position: sticky;
    top: 0;
    right: 0;
    left: 0;
    z-index: 999;
    background-color: #ef797c;
}

@media (min-width: 1080px) {
    header {
        background-color: transparent;
    }
}

.header {
    width: 100%;
    height: fit-content;
    padding: 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;
    gap: 1rem;
    background: linear-gradient(to bottom, #ef797c, #f5c7c7);
}

@media (min-width: 1080px) {
    .header {
        padding: 0 1rem;
    }
}

.header__left {
    width: fit-content;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    padding: 0.5rem;
}

.header__left--logo-dreamy {
    width: 100%;
    max-width: 224px;
    display: none;
}

    .header__left--logo-dreamy img {
        width: 100%;
        object-fit: contain;
    }

@media (min-width: 1080px) {
    .header__left--logo-dreamy {
        display: block;
    }
}

.header__left--icon-app {
    width: 100%;
    max-width: 48px;
}

@media (min-width: 768px) {
    .header__left--icon-app {
        max-width: 84px;
    }
}

@media (min-width: 1080px) {
    .header__left--icon-app {
        max-width: 102px;
    }
}

.header__left--icon-app img {
    width: 100%;
    aspect-ratio: 1/1;
    object-fit: contain;
}

@media (min-width: 1440px) {
    .header__left {
        width: 25%;
    }
}

.header__left a img {
    transition: all 0.3s ease;
}

    .header__left a img:hover {
        animation: blinker 0.5s infinite ease;
        transform: scale(1.05);
    }

.header__center {
    display: none;
}

@media (min-width: 1080px) {
    .header__center {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 0;
        width: 60%;
        padding: 1.5rem 0rem;
    }
}

.header__center--item {
    width: 33.333%;
    aspect-ratio: 269/68;
    margin: 0rem 0.5rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    color: #fff;
    text-transform: uppercase;
    font-weight: bold;
}

    .header__center--item a {
        color: #fff;
        font-size: clamp(1rem, 1vw + 0.25rem, 2rem);
        transition: all 0.3s ease;
    }

        .header__center--item a img {
            transition: all 0.3s;
        }

        .header__center--item a:hover {
            animation: blinker 0.5s infinite ease;
            transform: scale(1.05);
        }

            .header__center--item a:hover img {
                animation: blinker 0.5s infinite ease;
                transform: scale(1.05);
            }

.header__center img {
    width: 100%;
    max-width: 269px;
    object-fit: contain;
}

@media (min-width: 1440px) {
    .header__center {
        width: 50%;
    }
}

.header__right {
    width: 100%;
    padding: 0.5rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 0.25rem;
}

@media (min-width: 1080px) {
    .header__right {
        width: 25%;
    }
}

.header__right--item {
    width: 100%;
    max-width: 248px;
}

.header__right img {
    width: 100%;
    aspect-ratio: 230/93;
    object-fit: contain;
}

@media (min-width: 1080px) {
    .header__right img {
        width: 100%;
        max-width: 218px;
        object-fit: contain;
    }
}

@media (min-width: 1440px) {
    .header__right {
        width: 25%;
    }
}

.header__right a img {
    transition: all 0.3s ease;
}

.header__right a:hover img {
    animation: blinker 0.5s infinite ease;
    transform: scale(1.05);
}

@media (min-width: 1080px) {
    .header__right .btn-register-download-app-store {
        display: none;
    }
}

.section {
    width: 100%;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    position: relative;
    overflow: hidden;
}

    .section:last-child {
        margin-bottom: 0;
    }

@media (min-width: 1080px) {
    .section--logo {
        display: none;
    }
}

.section__decor {
    width: 100%;
    max-width: 1440px;
    margin-right: auto;
    margin-left: auto;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

    .section__decor .decor-item.blindbox {
        position: relative;
        width: 33.33%;
    }

        .section__decor .decor-item.blindbox img {
            width: 100%;
            object-fit: content;
        }

@media (min-width: 1080px) {
    .section__decor .decor-item.blindbox {
        width: unset;
        position: absolute;
        top: 50%;
        left: 2%;
        transform: translate(0, -50%);
    }
}

@media (min-width: 1440px) {
    .section__decor .decor-item.blindbox {
        left: 12%;
    }
}

.section__decor .decor-item.apple-watch {
    position: relative;
    width: 33.33%;
}

    .section__decor .decor-item.apple-watch img {
        width: 100%;
        object-fit: content;
    }

@media (min-width: 1080px) {
    .section__decor .decor-item.apple-watch {
        width: unset;
        position: absolute;
        top: 10%;
        right: 2%;
    }
}

@media (min-width: 1440px) {
    .section__decor .decor-item.apple-watch {
        right: 12%;
    }
}

.section__decor .decor-item.lemondane {
    position: relative;
    width: 33.33%;
}

    .section__decor .decor-item.lemondane img {
        width: 100%;
        object-fit: content;
    }

@media (min-width: 1080px) {
    .section__decor .decor-item.lemondane {
        width: unset;
        position: absolute;
        bottom: 10%;
        right: 2%;
    }
}

@media (min-width: 1440px) {
    .section__decor .decor-item.lemondane {
        right: 12%;
    }
}

.bindbox-notice {
    line-height: 2.5rem;
    color: inherit;
}

    .bindbox-notice :hover {
        color: #007bff;
    }

.section__header {
    position: relative;
    z-index: 1;
}

    .section__header img {
        width: 100%;
    }

    .section__header .img-title-banner {
        width: 100%;
        max-width: 1080px;
        margin-top: 10%;
    }

        .section__header .img-title-banner img {
            width: 100%;
            object-fit: contain;
        }

    .section__header .btn-play-introduction {
        width: 8%;
        position: absolute;
        bottom: 22%;
        right: 32.5%;
        transform: translate(-50%, -50%);
        cursor: pointer;
    }

        .section__header .btn-play-introduction img {
            width: 100%;
            aspect-ratio: 1/1;
            object-fit: contain;
            transition: all 0.3s ease;
            animation: blinker 0.3s infinite ease;
            transform: scale(1.05);
        }

.section--action .btn-download {
    width: 60%;
    margin: 0 auto;
    animation: blinker 1.5s infinite ease, scaleInfiity 1.5s infinite ease;
}

@media (min-width: 1080px) {
    .section--action .btn-download {
        width: 100%;
    }
}

.section--action .btn-download img {
    width: 100%;
    transition: all 0.3s ease;
    cursor: pointer;
}

.section__body {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.section__footer {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

    .section__footer .spin-button {
        width: 100%;
        max-width: 196px;
        display: block;
    }

        .section__footer .spin-button img {
            width: 100%;
        }

@media (min-width: 1080px) {
    .section__footer .spin-button {
        display: none;
    }
}

.gift-milestones {
    width: 100%;
    max-width: 1080px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 2rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

@media (min-width: 1080px) {
    .gift-milestones {
        padding-left: 4%;
    }
}

.gift-milestones .gift-milestones--controler {
    width: 60%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

@media (min-width: 1080px) {
    .gift-milestones .gift-milestones--controler {
        width: 50%;
    }
}

.gift-milestones .carousel-inner {
    width: 40%;
}

@media (min-width: 1080px) {
    .gift-milestones .carousel-inner {
        width: 50%;
    }
}

.gift-milestones .carousel-indicators {
    position: relative;
    margin: 0;
    padding: 0.5rem 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

    .gift-milestones .carousel-indicators li {
        display: none;
        width: 100%;
        max-width: 348px;
        height: fit-content;
        text-indent: 0;
        background-color: transparent;
        background: url("../images/frame_gift_milestones.png") no-repeat center;
        background-size: 100% 100%;
        padding: 0 1.5rem;
        aspect-ratio: 348/247;
    }

        .gift-milestones .carousel-indicators li.active {
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            gap: 1rem;
        }

            .gift-milestones .carousel-indicators li.active img {
                animation: blinker 0.6s infinite ease;
                transform: scale(1.05);
            }

        .gift-milestones .carousel-indicators li img {
            width: 100%;
        }

.gift-milestones .carousel-item img {
    width: 100%;
    object-fit: contain;
}

.gift-milestones .carousel-control-prev {
    position: relative;
    inset: 0;
    opacity: 1;
}

    .gift-milestones .carousel-control-prev img {
        width: 100%;
        object-fit: contain;
    }

.gift-milestones .carousel-control-next {
    position: relative;
    inset: 0;
    opacity: 1;
}

    .gift-milestones .carousel-control-next img {
        width: 100%;
        object-fit: contain;
    }

#gift-milestones .section___header {
    width: 100%;
    max-width: 1280px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 2rem;
}

@media (min-width: 1080px) {
    #gift-milestones .section___header {
        padding-left: 4%;
    }
}

#gift-milestones .section___header img {
    width: 100%;
}

#gift-milestones .section__decor {
    display: none;
}

@media (min-width: 1080px) {
    #gift-milestones .section__decor {
        display: block;
    }
}

#gift-milestones .section__decor .decor-item {
    width: 100%;
    max-width: 512px;
    position: absolute;
    top: 20%;
    left: 0;
}

    #gift-milestones .section__decor .decor-item img {
        width: 100%;
        object-fit: contain;
    }

#gift-milestones .section__body {
    z-index: 1;
}

.register-progress {
    position: relative;
    width: 100%;
    max-width: 1160px;
    margin: 0 auto;
}

    .register-progress .lst-gift-item {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: stretch;
        gap: 0.125rem;
    }

    @media (min-width: 768px) {
        .register-progress .lst-gift-item {
            gap: 0.5rem !important;
        }
    }

        .register-progress .lst-gift-item .gift-item {
            position: relative;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            align-items: center;
            gap: 1rem;
            z-index: 1;
        }

        .register-progress .lst-gift-item .gift-item--img {
            background: url("../images/frame_gift_pined.png") no-repeat center;
            background-size: 100% 100%;
            width: 100%;
            aspect-ratio: 1/1;
            padding: 0.5rem;
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            gap: 1rem;
            max-width: 64px
        }

        @media (min-width: 560px) {
            .register-progress .lst-gift-item .gift-item--img {
                max-width: unset
            }
            }



.register-progress .lst-gift-item .gift-item--img img {
    width: 100%;
    object-fit: contain;
}

@media (min-width: 768px) {
    .register-progress .lst-gift-item .gift-item--img {
        padding: 1rem;
    }
}

@media (min-width: 1080px) {
    .register-progress .lst-gift-item .gift-item--img {
        padding: 1.5rem;
    }
}

.register-progress .lst-gift-item .gift-item--active .milestone {
    border-color: #fef785;
    background-color: #f45366;
    color: #fef785;
}

.register-progress .lst-gift-item .gift-item--active .gift-item--img {
    background: url("../images/frame_gift_pined_active.png") no-repeat center;
    background-size: 100% 100%;
}

.register-progress .progress-bar-range {
    background-color: transparent !important;
    position: absolute;
    width: 100%;
    margin: 0 auto;
    bottom: 4%;
    z-index: 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

@media (min-width: 1080px) {
    .register-progress .progress-bar-range {
        bottom: 5%;
    }
}

@media (min-width: 1440px) {
    .register-progress .progress-bar-range {
        bottom: 6%;
    }
}

.register-progress .progress-bar-range input[type=range] {
    /* removing default appearance */
    -webkit-appearance: none;
    appearance: none;
    /* creating a custom design */
    width: 85%;
    margin: 0 auto;
    height: 1rem;
    border: 3px solid #00f0ff;
    border-radius: 0.5rem;
    background-color: #005f8c !important;
    cursor: pointer;
    outline: none;
    /*  slider progress trick  */
    overflow: hidden;
}

    .register-progress .progress-bar-range input[type=range]::-webkit-slider-runnable-track {
        height: 15px;
        background: transparent;
        border-radius: 16px;
    }

    .register-progress .progress-bar-range input[type=range]::-moz-range-track {
        height: 15px;
        background: transparent;
        border-radius: 16px;
    }

    .register-progress .progress-bar-range input[type=range]::-webkit-slider-thumb {
        /* removing default appearance */
        -webkit-appearance: none;
        appearance: none;
        /* creating a custom design */
        height: 15px;
        width: 15px;
        background-color: #fef785;
        border-radius: 50%;
        border: 2px solid #fef785;
        /*  slider progress trick  */
        box-shadow: -407px 0 0 400px #fef785;
    }

    .register-progress .progress-bar-range input[type=range]::-moz-range-thumb {
        height: 15px;
        width: 15px;
        background-color: #fef785;
        border-radius: 50%;
        border: 1px solid #fef785;
        /*  slider progress trick  */
        box-shadow: -407px 0 0 400px #fef785;
    }

.milestone {
    width: fit-content;
    padding: 0.25rem;
    border: 3px solid #00f0ff;
    border-radius: 0.5rem;
    background-color: #005f8c;
    color: #fff;
    font-weight: bold;
    font-size: clamp(1rem, 1vw + 0.25rem, 2rem);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
}

#spin-gift .turns-total {
    width: 50%;
    max-width: 333px;
    position: relative;
    margin: 2rem 0;
}

#spin-gift .turns-total--number {
    width: 100%;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -55%);
    color: white;
    font-size: 1rem;
    font-weight: bold;
    text-shadow: -1px -1px 0 #a54b47, 1px -1px 0 #a54b47, -1px 1px 0 #a54b47, 1px 1px 0 #a54b47;
}

.modal-content-video {
    background: none !important;
    background-image: none !important;
}

@media (min-width: 768px) {
    #spin-gift .turns-total--number {
        font-size: 1.5rem;
    }
}

@media (min-width: 1080px) {
    #spin-gift .turns-total--number {
        font-size: 1.875rem;
    }
}

#spin-gift .turns-total img {
    width: 100%;
}

#spin-gift .lst-box-gift {
    z-index: 1;
    width: 33.33%;
    max-width: 1280px;
    margin: 2rem auto;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

@media (min-width: 1080px) {
    #spin-gift .lst-box-gift {
        width: 66.66%;
    }
}

#spin-gift .lst-box-gift .box-gift {
    width: 100%;
    max-width: 265px;
    margin: 0 auto;
    cursor: pointer;
    display: none;
}

@media (min-width: 1080px) {
    #spin-gift .lst-box-gift .box-gift {
        display: block;
    }
}

#spin-gift .lst-box-gift .box-gift img {
    width: 100%;
    object-fit: contain;
    transition: all 0.3s ease;
}

#spin-gift .lst-box-gift .box-gift:hover img {
    animation: blinker 0.5s infinite ease;
    transform: scale(1.05);
}

#spin-gift .lst-box-gift .box-gift:first-child {
    display: block;
}

#spin-gift .lst-box-gift .box-gift img {
    width: 100%;
}

#spin-gift .lst-action-spin {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    gap: 1rem;
    width: 100%;
    max-width: 1080px;
    margin: 0 auto;
}

    #spin-gift .lst-action-spin .action-item {
        width: 100%;
        max-width: 296px;
        cursor: pointer;
    }

        #spin-gift .lst-action-spin .action-item img {
            transition: all 0.3s ease;
            width: 100%;
        }

        #spin-gift .lst-action-spin .action-item:hover img {
            animation: blinker 0.5s infinite ease;
            transform: scale(1.05);
        }

#spin-gift .decor-item {
    z-index: 0;
}

    #spin-gift .decor-item.img-gift-blindbox {
        width: 30%;
        max-width: 248px;
        position: absolute;
        top: 30%;
        left: 4%;
    }

@media (min-width: 1440px) {
    #spin-gift .decor-item.img-gift-blindbox {
        max-width: 321px;
        top: 20%;
        left: 8%;
    }
}

#spin-gift .decor-item.img-gift-blindbox img {
    width: 100%;
}

#spin-gift .decor-item.img-gift-aw {
    width: 30%;
    max-width: 248px;
    position: absolute;
    top: 45%;
    right: 4%;
}

@media (min-width: 1080px) {
    #spin-gift .decor-item.img-gift-aw {
        top: 30%;
    }
}

@media (min-width: 1440px) {
    #spin-gift .decor-item.img-gift-aw {
        max-width: 297px;
        top: 25%;
    }
}

#spin-gift .decor-item.img-gift-aw img {
    width: 100%;
}

#spin-gift .decor-item.img-gift-lemonade {
    width: 30%;
    max-width: 240px;
    position: absolute;
    bottom: 25%;
    left: 0%;
}

    #spin-gift .decor-item.img-gift-lemonade img {
        width: 100%;
    }

@media (min-width: 768px) {
    #spin-gift .decor-item.img-gift-lemonade {
        left: 2%;
    }
}

@media (min-width: 1080px) {
    #spin-gift .decor-item.img-gift-lemonade {
        left: 0%;
        bottom: 20%;
    }
}

@media (min-width: 1440px) {
    #spin-gift .decor-item.img-gift-lemonade {
        max-width: 268px;
        bottom: 10%;
        left: 4%;
        left: 2%;
    }
}

#slide-future .lst-carousel-with-nav {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

#slide-future .carousel-indicators {
    position: relative;
    margin: 1rem auto;
}

    #slide-future .carousel-indicators li {
        background-color: #f9a8b1;
        width: 1.25rem;
        height: 0.5rem;
        border-radius: 0.75rem;
        border: 1px solid transparent;
    }

@media (min-width: 1080px) {
    #slide-future .carousel-indicators li {
        width: 3rem;
        height: 1rem;
    }
}

#slide-future .carousel-indicators li.active {
    background-color: #ff4d61;
    border: 1px solid #fff;
}

#slide-future .carousel-frame {
    width: 100%;
    max-width: 963px;
    aspect-ratio: 963/580;
    margin: 0 auto;
    padding: 1rem 1rem 1.25rem 1rem;
    background: url("../images/s4_frame_slide.png") no-repeat center;
    background-size: 100% 100%;
}

@media (min-width: 768px) {
    #slide-future .carousel-frame {
        padding: 1.75rem 1.75rem 2.25rem 1.75rem;
    }
}

@media (min-width: 1080px) {
    #slide-future .carousel-frame {
        padding: 2.25rem 2.25rem 3rem 2.25rem;
    }
}

#slide-future .carousel-inner {
    width: 100%;
}

#slide-future .carousel-item {
    width: 100%;
    aspect-ratio: 963/580;
    position: relative;
    z-index: -1;
    overflow: hidden;
    border-radius: 1.5rem;
}

@media (min-width: 768px) {
    #slide-future .carousel-item {
        border-radius: 2.5rem;
    }
}

@media (min-width: 1080px) {
    #slide-future .carousel-item {
        border-radius: 3rem;
    }
}

#slide-future .carousel-item img {
    width: 100%;
    aspect-ratio: 963/580;
    object-fit: cover;
    border-radius: 1.5rem;
    overflow: hidden;
}

@media (min-width: 768px) {
    #slide-future .carousel-item img {
        border-radius: 2.5rem;
    }
}

@media (min-width: 1080px) {
    #slide-future .carousel-item img {
        border-radius: 3rem;
    }
}

#future-game {
    position: relative;
}

    #future-game .carousel-control-prev,
    #future-game .carousel-control-next {
        position: absolute;
        opacity: 1;
    }

        #future-game .carousel-control-prev img,
        #future-game .carousel-control-next img {
            width: 75%;
        }

@media (min-width: 1080px) {
    #future-game .carousel-control-prev,
    #future-game .carousel-control-next {
        position: relative;
    }

        #future-game .carousel-control-prev img,
        #future-game .carousel-control-next img {
            width: 100%;
        }
}

#future-game .carousel-control-prev {
    left: 4%;
}

@media (min-width: 1080px) {
    #future-game .carousel-control-prev {
        left: 0;
    }
}

#future-game .carousel-control-next {
    right: 4%;
}

@media (min-width: 1080px) {
    #future-game .carousel-control-next {
        right: 0;
    }
}

#future-game .section__decor .decor-item {
    display: none;
}

@media (min-width: 1080px) {
    #future-game .section__decor .decor-item {
        display: block;
        position: absolute;
        right: 1rem;
        z-index: 0;
    }
}

#future-game .section__decor .decor-item:first-child {
    bottom: -20%;
    left: 0;
}

#future-game .section__decor .decor-item:last-child {
    top: 0;
    right: 0;
}

#future-game .section__header img {
    width: 100%;
}

@media (min-width: 1080px) {
    #future-game .section__header {
        transform: translateY(20%);
        z-index: 2;
    }

        #future-game .section__header img {
            width: 85%;
        }
}

#future-game .section__body {
    z-index: 1;
}

.footer {
    width: 100%;
    background: url("../images/bg_footer_mobile.png") no-repeat center;
    background-size: cover;
}

@media (min-width: 1080px) {
    .footer {
        background: url("../images/bg_footer.png") no-repeat center;
        background-size: cover;
    }
}

.footer .footer-top {
    width: 100%;
    padding: 18% 1rem 0 1rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
}

@media (min-width: 768px) {
    .footer .footer-top {
        padding: 10% 1rem 0 1rem;
    }
}

@media (min-width: 1080px) {
    .footer .footer-top {
        padding: 1.5rem 1rem;
        background: url("../images/bg_footer_top.png") no-repeat center;
        background-size: cover;
    }
}

.footer .footer-top img {
    width: 100%;
    object-fit: contain;
    transition: all 0.3s ease;
}

    .footer .footer-top img:hover {
        animation: blinker 0.5s infinite ease;
        transform: scale(1.05);
    }

.footer .footer-bottom {
    width: 100%;
    padding: 2rem 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    text-align: center;
}

    .footer .footer-bottom .company-introduction {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 0.5rem;
        font-weight: bold;
        font-size: 1rem;
    }

@media (min-width: 768px) {
    .footer .footer-bottom .company-introduction {
        font-size: 1.25rem;
    }
}

@media (min-width: 1080px) {
    .footer .footer-bottom .company-introduction {
        font-size: 1.875rem;
    }
}

.footer .footer-bottom .strategic-partner {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

    .footer .footer-bottom .strategic-partner .partner-item {
        width: 100%;
    }

        .footer .footer-bottom .strategic-partner .partner-item img {
            width: 100%;
            max-width: 242px;
            object-fit: contain;
        }

.ct-modal-base {
    background-color: rgba(0,0,0, 0.7);
}

    .ct-modal-base .modal-dialog {
        width: 100%;
        height: 95vh;
        padding: 1rem;
        max-width: 1200px;
        aspect-ratio: 1211/1020;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .ct-modal-base button {
        border: none;
        background-color: transparent;
    }

        .ct-modal-base button:hover {
            opacity: 1 !important;
        }

    .ct-modal-base .modal-content {
        width: 100%;
        height: 100%;
        min-height: 40vh;
        max-height: 65vh;
        background-image: url("../images/img_frame_modal.png");
        background-position: top center;
        background-repeat: no-repeat;
        background-size: 100% 100%;
        background-color: transparent;
        border: none;
        padding: 0.5rem 1rem 3rem 1rem;
    }


        .ct-modal-base .modal-content button[aria-label=Close] {
            position: absolute;
            width: 54px;
            height: 54px;
            background-image: url("../images/btn_close_modal.png");
            background-position: top center;
            background-repeat: no-repeat;
            background-size: 100% 100%;
            opacity: 1;
            top: 50%;
            right: 6%;
        }

    .ct-modal-base .modal-footer {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 1rem;
        text-align: center;
        font-size: 1.75rem;
        padding: 1rem 1.5rem;
    }

@media (min-width: 1200px) {
    .ct-modal-base .modal-content {
        padding: 0.75rem 0.5rem;
    }
}

@media (min-width: 1080px) {
    .ct-modal-base .modal-content button[aria-label=Close] {
        transform: translateY(-50%)
    }

    .ct-modal-base .modal-content {
        min-height: 90vh;
        max-height: 90vh;
    }
}

.ct-modal-base .modal-header {
    width: 100%;
    min-height: 36px;
    position: relative;
    padding: 0 1.5rem;
    border: none;
    z-index: 998;
    margin-bottom: 2rem;
}

    .ct-modal-base .modal-header .modal-title {
        width: 33.33%;
        max-width: 362px;
        margin: 0 auto;
    }

        .ct-modal-base .modal-header .modal-title img {
            width: 90%;
            object-fit: contain;
        }

@media (min-width: 1080px) {
    .ct-modal-base .modal-header .modal-title {
        width: 40%;
    }
}

.ct-modal-base .modal-body {
    border: none;
    padding: 1rem 1.5rem;
    height: 100%;
    overflow: auto;
    padding-top: 1.5rem;
}

@media (min-width: 768px) {
    .ct-modal-base .modal-body {
        padding: 1.5rem 2rem;
    }
}

@media (min-width: 1080px) {
    .ct-modal-base .modal-body {
        padding: 2rem 4rem 2rem 5rem !important;
    }
}


#modal-guide img {
    width: 100%;
}

#modal-guide .modal-body {
    padding: 0.5rem;
}


.ct-modal-base .modal-footer {
    border: none;
    padding: 1rem 1.5rem;
}

@media (min-width: 768px) {
    .ct-modal-base .modal-footer {
        padding: 1rem 1rem 3rem 1rem;
    }
}

@media (min-width: 1080px) {
    .ct-modal-base .modal-footer {
        padding: 2rem 2.5rem ;
    }
}
@media (max-width: 450px) {
    .ct-modal-base .modal-footer {
        padding-bottom: 50px;
    }
}
table {
    width: 100%;
    align-content: center;
    justify-items: center;
    text-align: center;
    color: #df2ec6;
    font-size: 1rem;
}

@media (min-width: 768px) {
    table {
        font-size: 1.5rem;
    }
}

@media (min-width: 1080px) {
    table {
        font-size: 2rem;
    }
}

table thead {
    width: 100%;
    font-weight: bold;
    background-color: #dcd8d3;
}

    table thead th {
        padding: 0.5rem;
        font-weight: bold;
        font-size: 1rem;
    }

@media (min-width: 768px) {
    table thead th {
        font-size: 1.5rem;
    }
}

@media (min-width: 1080px) {
    table thead th {
        font-size: 2.25rem;
    }
}

table thead th:first-child {
    border-radius: 0.5rem 0 0 0.5rem;
}

table thead th:last-child {
    border-radius: 0 0.5rem 0.5rem 0;
}

table tbody tr {
    background: url("../images/img_line_border_table.png") no-repeat bottom;
    background-size: 100% auto;
}

    table tbody tr td {
        padding: 0.75rem 0.5rem;
    }

.table-history table thead th:first-child {
    width: 10%;
}

.table-history table thead th:nth-child(2) {
    width: 40%;
}

.table-history table thead th:nth-child(3) {
    width: 20%;
}

.table-history table thead th:last-child {
    width: 30%;
}

.table-history table tbody tr td:first-child {
    width: 10%;
}

.table-history table tbody tr td:nth-child(2) {
    width: 40%;
}

.table-history table tbody tr td:nth-child(3) {
    width: 20%;
}

.table-history table tbody tr td:last-child {
    width: 30%;
}

    .table-history table tbody tr td:last-child img {
        width: 100%;
        max-width: 72px;
        min-width: 64px;
        object-fit: contain;
    }

@media (min-width: 768px) {
    .table-history table tbody tr td:last-child img {
        max-width: 96px;
    }
}

@media (min-width: 1080px) {
    .table-history table tbody tr td:last-child img {
        max-width: 120px;
    }
}

.table-history table tbody tr td:last-child input {
    width: 100%;
    max-width: 152px;
    background-color: #6b6660;
    color: white;
    border-radius: 0.5rem;
    padding: 0.25rem;
    font-size: 0.75rem;
    font-weight: bold;
    text-overflow: ellipsis;
}

@media (min-width: 768px) {
    .table-history table tbody tr td:last-child input {
        font-size: 1.25rem;
        padding: 0.5rem 0.75rem;
    }
}

@media (min-width: 1080px) {
    .table-history table tbody tr td:last-child input {
        font-size: 1.75rem;
        padding: 0.25rem 0.5rem;
    }
}

.table-misson table thead th {
    width: 60%;
}

    .table-misson table thead th:first-child {
        width: 15%;
    }

    .table-misson table thead th:last-child {
        width: 25%;
    }

.table-misson table tbody tr {
    width: 60%;
}

    .table-misson table tbody tr:first-child {
        width: 15%;
    }

    .table-misson table tbody tr:last-child {
        width: 25%;
    }

    .table-misson table tbody tr td:last-child img {
        width: 100%;
        max-width: 200px;
    }

.guide-content {
    font-size: clamp(0.75rem, 2vw, 1.25rem);
}

    .guide-content p {
        margin-bottom: 0.25rem;
        line-height: 1.5;
    }

    .guide-content h1 {
        text-align: center;
        margin-bottom: 1rem;
        font-size: clamp(2.5rem, 6vw, 3.5rem);
        font-weight: bold;
    }

    .guide-content h3 {
        margin-top: 1.5rem;
        margin-bottom: 0.75rem;
        font-size: clamp(1.25rem, 2vw, 2rem);
        font-weight: 600;
    }

    .guide-content h5 {
        margin-top: 1rem;
        margin-bottom: 0.25rem;
        font-weight: 500;
        font-size: clamp(1rem, 2vw, 1.5rem);
    }

    .guide-content ul {
        list-style-type: none;
        margin-bottom: 0;
    }

        .guide-content ul li {
            text-indent: 0.5rem;
        }

    .guide-content .text-highlight {
        color: #ff3c00;
    }

.td-flex-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.25rem;
}

@media (min-width: 768px) {
    .td-flex-container {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 1rem;
    }
}




#modal-message .modal-dialog {
    max-width: 840px;
}

#modal-message .modal-content {
    height: fit-content;
}

#modal-message .modal-body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    text-align: center;
    color: #df2ec6;
    font-size: clamp(1.5rem, 4vw, 3rem);
    font-weight: bold;
}

    #modal-message .modal-body h1 {
        font-size: clamp(2rem, 4vw, 3.5rem);
        font-weight: normal;
        margin-bottom: 1.5rem;
    }

    #modal-message .modal-body .code-show {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 0.5rem;
    }

@media (min-width: 768px) {
    #modal-message .modal-body .code-show {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 1rem;
    }
}

#modal-message .modal-body .code-show input {
    width: 100%;
    max-width: 240px;
    background-color: #6b6660;
    color: white;
    border-radius: 0.5rem;
    padding: 0.25rem;
    font-size: 0.75rem;
    font-weight: bold;
    text-overflow: ellipsis;
}

.button-copy:hover {
    cursor: pointer;
}

@media (min-width: 768px) {
    #modal-message .modal-body .code-show input {
        font-size: 1.25rem;
        padding: 0.5rem 0.75rem;
    }
}

@media (min-width: 1080px) {
    #modal-message .modal-body .code-show input {
        font-size: 1.75rem;
        padding: 0.25rem 0.5rem;
    }
}

.user-info {
    width: 100%;
}

.user-info--button {
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: center;
    gap: 0.5rem;
    cursor: pointer;
}

    .user-info--button img {
        width: 100%;
        max-width: 84px;
        aspect-ratio: unset;
        transition: all 0.3s ease;
    }

@media (min-width: 768px) {
    .user-info--button img {
        max-width: 96px;
    }
}

@media (min-width: 1080px) {
    .user-info--button img {
        max-width: 124px;
    }
}

.user-info--detail {
    width: 50%;
    max-width: fit-content;
    display: none;
    border: 4px solid #bc7c7e;
    border-radius: 1rem;
    position: absolute;
    right: 1%;
    background: linear-gradient(to bottom, #ef797c, #f5c7c7);
}

.user-info .user-info-container {
    width: 100%;
    border: 4px solid #ffe9c2;
    border-radius: 1rem;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
}

.user-info .user-overview {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 1rem;
}

.user-info .user-overview--avt img {
    width: 100%;
    max-width: 48px;
    aspect-ratio: 1/1;
    object-fit: contain;
}

.user-info .user-overview--name {
    color: white;
    font-weight: bold;
}

.user-info .user-overview--id {
    color: white !important;
}

.user-info .user-go {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}

    .user-info .user-go .flex-contianer {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: start;
        align-items: center;
        gap: 0.5rem;
        color: white;
        font-weight: bold;
        font-size: 1.25rem;
    }

        .user-info .user-go .flex-contianer img {
            width: 24px;
            aspect-ratio: 1/1;
            object-fit: contain;
        }

    .user-info .user-go .btn-change-go {
        cursor: pointer;
    }

        .user-info .user-go .btn-change-go img {
            width: 36px;
            aspect-ratio: 1/1;
            object-fit: contain;
            transition: all 0.3s ease;
        }

        .user-info .user-go .btn-change-go:hover img {
            animation: blinker 0.3s infinite ease;
            transform: scale(1.05);
        }

.user-info .lst-user-action {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.25rem;
}

    .user-info .lst-user-action .user-action {
        width: 100%;
        cursor: pointer;
    }

        .user-info .lst-user-action .user-action img {
            width: 100%;
            aspect-ratio: unset;
            transition: all 0.3s ease;
        }

        .user-info .lst-user-action .user-action:hover img {
            animation: blinker 0.3s infinite ease;
            transform: scale(1.05);
        }

.not-logged-in {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: center;
    gap: 1rem;
}


.carousel {
    width: 100%;
}

.lst-carousel-with-nav {
    max-width: 1440px;
    margin: 0 auto;
}

#slide-future .carousel-control-next img,
#slide-future .carousel-control-prev img {
    max-width: 96px;
}

input[type="range"] {
    /* removing default appearance */
    -webkit-appearance: none;
    appearance: none;
    /* creating a custom design */
    width: 100%;
    cursor: pointer;
    outline: none;
    /*  slider progress trick  */
    overflow: hidden;
    border-radius: 16px;
}

    /* Track: webkit browsers */
    input[type="range"]::-webkit-slider-runnable-track {
        height: 15px;
        background: transparent;
        border-radius: 16px;
    }

    /* Track: Mozilla Firefox */
    input[type="range"]::-moz-range-track {
        height: 15px;
        background: transparent;
        border-radius: 16px;
    }

    /* Thumb: webkit */
    input[type="range"]::-webkit-slider-thumb {
        /* removing default appearance */
        -webkit-appearance: none;
        appearance: none;
        /* creating a custom design */
        height: 15px;
        width: 15px;
        background-color: #fef785;
        border-radius: 50%;
        border: 2px solid #fef785;
        /*  slider progress trick  */
        box-shadow: -407px 0 0 400px #fef785;
    }


    /* Thumb: Firefox */
    input[type="range"]::-moz-range-thumb {
        height: 15px;
        width: 15px;
        background-color: #fff;
        border-radius: 50%;
        border: 1px solid #f50;
        /*  slider progress trick  */
        box-shadow: -407px 0 0 400px #f50;
    }

.wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    position: absolute;
    bottom: 0.5rem;
}

.range {
    display: flex;
    align-items: center;
    width: 85%;
    background: #fff;
    border: 3px solid #00f0ff;
    border-radius: 1rem;
    background-color: #005f8c !important;
}

.download-game-header:hover {
    background: url("../images/btn_download_header.png") no-repeat center/ 100% 100%;
}

    .download-game-header:hover p {
        color: transparent
    }

.gift-milestones-header:hover {
    background: url("../images/btn_datmoc_header.png") no-repeat center/ 100% 100%;
}

    .gift-milestones-header:hover p {
        color: transparent
    }

.spin-gift-header:hover {
    background: url("../images/btn_blindbox_header.png") no-repeat center/ 100% 100%;
}

    .spin-gift-header:hover p {
        color: transparent
    }


.line-space-header {
    height: 24px;
    width: 2px;
    background-color: #fff;
}

#modal-popup-video .modal-header {
    transform: translate(-5%,-50%);
}

@media (min-width: 1080px) {
    #modal-popup-video .modal-header {
        transform: translate(0,50%);
    }
}

#modal-download-game .modal-content {
    background-image: url("../images/frame_pop_up_download.png");
}

    #modal-download-game .modal-content .modal-body {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 1rem;
        text-align: center;
    }

.download-tag {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    margin-bottom: 1rem;
}

    .download-tag img {
        width: 100%;
        max-width: 330px;
        object-fit: contain;
        margin: 0 auto;
    }

.download-QR-code {
    width: 100%;
    max-width: 310px;
    margin: 0 auto;
    padding: 0.5rem;
    border: 4px solid #df2ec6;
    border-radius: 1rem;
    background-color: white;
}

    .download-QR-code img {
        width: 100%;
        aspect-ratio: 1/1;
        object-fit: cover;
    }


.download-file-apk {
    width: 100%;
    font-size: 1.25rem;
    color: #df2ec6;
    font-weight: bold;
}

    .download-file-apk h3 {
        margin-bottom: 1rem;
    }

@media (min-width: 1020px) {
    .download-file-apk {
        font-size: 2rem;
    }

    .download-QR-code {
        padding: 1rem;
    }
}

.btn-download-file-apk {
    width: 100%;
    max-width: 244px;
    margin: 0 auto;
}

    .btn-download-file-apk img {
        width: 100%;
        object-fit: contain;
        animation: blinker 1.5s infinite ease, scaleInfiity 1.5s infinite ease;
    }

#modal-download-game .modal-content button[aria-label="Close"] {
    transform: translateY(-100%);
    z-index: 999;
}

@media (min-width: 1020px) {
    #modal-download-game .modal-content button[aria-label="Close"] {
        transform: translateY(100%);
    }
}

.tab-title:hover .tab-title--text {
    display: none;
}

.tab-title .tab-title--img {
    display: none;
}

.tab-title:hover .tab-title--img {
    display: block;
}

#modal-history {}

    #modal-history .modal-footer {
        padding: 1rem 1rem 0 1rem;
    }

    #modal-history .modal-footer p {
        width: 100%;
        font-size: 14px
    }

    @media (min-width: 1080px) {
        #modal-history .modal-footer {
            padding: 1rem 0rem 3rem 1rem;
        }

            #modal-history .modal-footer p {
                width: 100%;
                font-size: 16px
            }
    }

@media (min-width: 768px) {
    #modal-guide.ct-modal-base .modal-content {
        padding: 0.75rem 2rem 4rem 2rem
    }
}

@media (min-width: 1080px) {
    #modal-guide.ct-modal-base .modal-content {
        padding: 0.75rem 0.5rem 4rem 0.5rem
    }
}